ISXEVE - Bug #2066

Citadel Item Hangar is
2018-03-16 06:47 PM - bobbyjayblack

Status: Resolved
Priority: High

Assignee:

Category: broken feature(s)

Target version:

vbulletin_issue_id:

Description

When running the below code, | receive the error message, "You don't seem to have the right keys for the ship's ignition switch.
Perhaps you left them in your other jacket?"

function main()

{
}

call MoveShipCargoHoldToltemHangar

function MoveShipCargoHoldToltemHangar()

{
if 1${Me.InStation}

{
echo Not InStation
return

}

MyShip:Open

wait 30

variable index:item MyCargo

variable inti =1

MyShip:GetCargo[MyCargo]

;do

{
echo Moving ${MyCargo.Get[${i}].Name} to Hangar
MyCargo.Get[${i}]:MoveTo[MyStationHangar]

; wait 30

}

while ${i:Inc} <= ${MyCargo.Used}
3

History

#1 - 2018-03-16 07:33 PM - bobbyjayblack

| ran https:/github.com/CyberTech/EVEBot/blob/master/Testcases/ISXEVE/EVEWindow_Inventory.iss and it printed several Inventory windows. It
also activated the Structure ltem Hangar window, which is the one that would be used to move items to.

Making Active:

--| 4. Name: 'StructureShipHangar'

----- | HasCapacity: FALSE

————— | LocationFlag: Folder1

----- | LocationFlaglD: 4

----- | IsinRange: TRUE

————— | ltemID: [Valid number but removed for account safety]

#2 - 2018-03-16 07:37 PM - bobbyjayblack

When executing:

MyCargo.Get[1]:MoveTo[VALID_HANGAR_ID_REMOVED_FOR_ACCOUNT_SAFETY]

2024-04-18 1/2



https://github.com/CyberTech/EVEBot/blob/master/Testcases/ISXEVE/EVEWindow_Inventory.iss

| received the original post error, "You don't seem to have the right keys for the ship's ignition switch. Perhaps you left them in your other jacket?"

#3 - 2018-03-16 07:39 PM - bobbyjayblack
Sorry, posted the wrong window infow above:
Making Active:

--| 5. Name: 'StructureltemHangar'

----- | HasCapacity: FALSE

————— | LocationFlag: Folder1

----- | LocationFlaglD: 4

----- | IsinRange: TRUE

----- | ltemID: [VALID_ID_REMOVED_FOR_ACCOUNT_SAFETY]
Still generates same error.

#4 - 2018-03-16 09:19 PM - bobbyjayblack

Here is a name of an open Structure in high sec. Simply search for it using People and Places. Set Destination to the 1 result, travel to it and dock.

Perimeter - IChooseYou Tatara Max Reprocess

#5 - 2018-03-18 05:07 PM - Amadeus

- Status changed from New to Resolved

This should be fixed in 20180306.0002.

Please note that you must use "MyStationHangar" as the first argument for MoveTo. The ID# argument is only used for when specifying an
ENTITY_ID# (i.e., when moving items to a cargo container, etc.) | know the documentation isn't clear on this and it needs to be updated.

But anyway, using something like MyCargo.Get[${i}]:MoveTo[MyStationHangar] should work now.
